Bug 1061825 - CVE-2014-0021 chrony: DDoS via amplification in cmdmon protocol [epel-all]
CVE-2014-0021 chrony: DDoS via amplification in cmdmon protocol [epel-all]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: chrony (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2014-0021
  Show dependency treegraph
 
Reported: 2014-02-05 12:22 EST by Tomas Hoger
Modified: 2014-07-29 15:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: chrony-1.30-1.el6
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-29 15:27:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2014-02-05 12:22:00 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Tomas Hoger 2014-02-05 12:22:08 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1054790,1061825
Comment 2 Tomas Hoger 2014-02-05 12:25:07 EST
I have created this epel tracker, but I'm not sure how actively epel version is maintained.  Version shipped currently is 1.25, not sure if update is planned.
Comment 3 Miroslav Lichvar 2014-02-06 04:23:27 EST
Previous security issues found in the chrony epel package were fixed by backporting. In this case I'm not sure. The control protocol in 1.25 is not compatible with 1.27 and later, so backporting the new padding requirement would create a completely new protocol incompatible with anything else.

Updating to 1.29.1 seems like a better option to me.
Comment 4 Miroslav Lichvar 2014-07-01 12:15:59 EDT
I'm working on update to 1.30.
Comment 5 Fedora Update System 2014-07-02 10:57:43 EDT
chrony-1.30-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/chrony-1.30-1.el5
Comment 6 Fedora Update System 2014-07-02 10:58:13 EDT
chrony-1.30-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/chrony-1.30-1.el6
Comment 7 Fedora Update System 2014-07-03 13:56:38 EDT
Package chrony-1.30-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing chrony-1.30-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1803/chrony-1.30-1.el5
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2014-07-29 15:27:10 EDT
chrony-1.30-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-07-29 15:27:25 EDT
chrony-1.30-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.